image: python:3.8-buster

test:
  stage: test
  script:
    - pip install -r requirements.txt
    - mkdocs build --strict --verbose --site-dir test
  artifacts:
    paths:
      - test
  rules:
    - if: $CI_COMMIT_REF_NAME != $CI_DEFAULT_BRANCH


pages:
  stage: deploy
  script:
    - pip install -r requirements.txt
    - mkdocs build --strict --verbose
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH
